- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Friends

# QWebSettings Class Reference

Search for all occurrences

## Detailed Description

Definition at line 41 of file qwebsettings.h.

`#include <qwebsettings.h>`

List of all members.

## Public Types
enum | FontFamily { StandardFont, FixedFont, SerifFont, SansSerifFont, CursiveFont, FantasyFont }
enum | WebAttribute { AutoLoadImages, JavascriptEnabled, JavaEnabled, PluginsEnabled, PrivateBrowsingEnabled, JavascriptCanOpenWindows, JavascriptCanAccessClipboard, DeveloperExtrasEnabled, LinksIncludedInFocusChain, ZoomTextOnly, PrintElementBackgrounds, OfflineStorageDatabaseEnabled, OfflineWebApplicationCacheEnabled, LocalStorageEnabled, LocalContentCanAccessRemoteUrls, DnsPrefetchEnabled, XSSAuditingEnabled, AcceleratedCompositingEnabled, SpatialNavigationEnabled, LocalContentCanAccessFileUrls, TiledBackingStoreEnabled, FrameFlatteningEnabled, SiteSpecificQuirksEnabled }
enum | WebGraphic { MissingImageGraphic, MissingPluginGraphic, DefaultFrameIconGraphic, TextAreaSizeGripCornerGraphic, DeleteButtonGraphic }
enum | FontSize { MinimumFontSize, MinimumLogicalFontSize, DefaultFontSize, DefaultFixedFontSize }
## Public Member Functions
void | setFontFamily (FontFamily which, const QString &family)
QString | fontFamily (FontFamily which) const
void | resetFontFamily (FontFamily which)
void | setFontSize (FontSize type, int size)
int | fontSize (FontSize type) const
void | resetFontSize (FontSize type)
void | setAttribute (WebAttribute attr, bool on)
bool | testAttribute (WebAttribute attr) const
void | resetAttribute (WebAttribute attr)
void | setUserStyleSheetUrl (const QUrl &location)
QUrl | userStyleSheetUrl () const
void | setDefaultTextEncoding (const QString &encoding)
QString | defaultTextEncoding () const
void | setLocalStoragePath (const QString &path)
QString | localStoragePath () const
QWebSettingsPrivate * | handle () const
## Static Public Member Functions
static QWebSettings * | globalSettings ()
static void | setIconDatabasePath (const QString &location)
static QString | iconDatabasePath ()
static void | clearIconDatabase ()
static QIcon | iconForUrl (const QUrl &url)
static void | setWebGraphic (WebGraphic type, const QPixmap &graphic)
static QPixmap | webGraphic (WebGraphic type)
static void | setMaximumPagesInCache (int pages)
static int | maximumPagesInCache ()
static void | setObjectCacheCapacities (int cacheMinDeadCapacity, int cacheMaxDead, int totalCapacity)
static void | setOfflineStoragePath (const QString &path)
static QString | offlineStoragePath ()
static void | setOfflineStorageDefaultQuota (qint64 maximumSize)
static qint64 | offlineStorageDefaultQuota ()
static void | setOfflineWebApplicationCachePath (const QString &path)
static QString | offlineWebApplicationCachePath ()
static void | setOfflineWebApplicationCacheQuota (qint64 maximumSize)
static qint64 | offlineWebApplicationCacheQuota ()
static void | clearMemoryCaches ()
static void | enablePersistentStorage (const QString &path=QString())
## Friends
class | QWebPagePrivate
class | QWebSettingsPrivate

## Member Enumeration Documentation

enum FontFamily

Search for all occurrences

Enumerator:

  StandardFont | Search for all occurrences
  FixedFont | Search for all occurrences
  SerifFont | Search for all occurrences
  SansSerifFont | Search for all occurrences
  CursiveFont | Search for all occurrences
  FantasyFont | Search for all occurrences

Definition at line 43 of file qwebsettings.h.

                        {
            StandardFont,
            FixedFont,
            SerifFont,
            SansSerifFont,
            CursiveFont,
            FantasyFont
        };

enum WebAttribute

Search for all occurrences

Enumerator:

  AutoLoadImages | Search for all occurrences
  JavascriptEnabled | Search for all occurrences
  JavaEnabled | Search for all occurrences
  PluginsEnabled | Search for all occurrences
  PrivateBrowsingEnabled | Search for all occurrences
  JavascriptCanOpenWindows | Search for all occurrences
  JavascriptCanAccessClipboard | Search for all occurrences
  DeveloperExtrasEnabled | Search for all occurrences
  LinksIncludedInFocusChain | Search for all occurrences
  ZoomTextOnly | Search for all occurrences
  PrintElementBackgrounds | Search for all occurrences
  OfflineStorageDatabaseEnabled | Search for all occurrences
  OfflineWebApplicationCacheEnabled | Search for all occurrences
  LocalStorageEnabled | Search for all occurrences
  LocalContentCanAccessRemoteUrls | Search for all occurrences
  DnsPrefetchEnabled | Search for all occurrences
  XSSAuditingEnabled | Search for all occurrences
  AcceleratedCompositingEnabled | Search for all occurrences
  SpatialNavigationEnabled | Search for all occurrences
  LocalContentCanAccessFileUrls | Search for all occurrences
  TiledBackingStoreEnabled | Search for all occurrences
  FrameFlatteningEnabled | Search for all occurrences
  SiteSpecificQuirksEnabled | Search for all occurrences

Definition at line 51 of file qwebsettings.h.

                          {
            AutoLoadImages,
            JavascriptEnabled,
            JavaEnabled,
            PluginsEnabled,
            PrivateBrowsingEnabled,
            JavascriptCanOpenWindows,
            JavascriptCanAccessClipboard,
            DeveloperExtrasEnabled,
            LinksIncludedInFocusChain,
            ZoomTextOnly,
            PrintElementBackgrounds,
            OfflineStorageDatabaseEnabled,
            OfflineWebApplicationCacheEnabled,
            LocalStorageEnabled,
    #if defined(QT_DEPRECATED) || defined(qdoc)
            LocalStorageDatabaseEnabled = LocalStorageEnabled,
    #endif
            LocalContentCanAccessRemoteUrls,
            DnsPrefetchEnabled,
            XSSAuditingEnabled,
            AcceleratedCompositingEnabled,
            SpatialNavigationEnabled,
            LocalContentCanAccessFileUrls,
            TiledBackingStoreEnabled,
            FrameFlatteningEnabled,
            SiteSpecificQuirksEnabled
        };

enum WebGraphic

Search for all occurrences

Enumerator:

  MissingImageGraphic | Search for all occurrences
  MissingPluginGraphic | Search for all occurrences
  DefaultFrameIconGraphic | Search for all occurrences
  TextAreaSizeGripCornerGraphic | Search for all occurrences
  DeleteButtonGraphic | Search for all occurrences

Definition at line 79 of file qwebsettings.h.

                        {
            MissingImageGraphic,
            MissingPluginGraphic,
            DefaultFrameIconGraphic,
            TextAreaSizeGripCornerGraphic,
            DeleteButtonGraphic
        };

enum FontSize

Search for all occurrences

Enumerator:

  MinimumFontSize | Search for all occurrences
  MinimumLogicalFontSize | Search for all occurrences
  DefaultFontSize | Search for all occurrences
  DefaultFixedFontSize | Search for all occurrences

Definition at line 86 of file qwebsettings.h.

                      {
            MinimumFontSize,
            MinimumLogicalFontSize,
            DefaultFontSize,
            DefaultFixedFontSize
        };

## Member Function Documentation

static QWebSettings* globalSettings | ( |  | ) | `[static]`

Search for all occurrences

void setFontFamily | ( | FontFamily | which,
|  | const QString & | family
| ) |  |

Search for all occurrences

QString fontFamily | ( | FontFamily | which | ) | const

Search for all occurrences

void resetFontFamily | ( | FontFamily | which | ) |

Search for all occurrences

void setFontSize | ( | FontSize | type,
|  | int | size
| ) |  |

Search for all occurrences

int fontSize | ( | FontSize | type | ) | const

Search for all occurrences

void resetFontSize | ( | FontSize | type | ) |

Search for all occurrences

void setAttribute | ( | WebAttribute | attr,
|  | bool | on
| ) |  |

Search for all occurrences

bool testAttribute | ( | WebAttribute | attr | ) | const

Search for all occurrences

void resetAttribute | ( | WebAttribute | attr | ) |

Search for all occurrences

void setUserStyleSheetUrl | ( | const QUrl & | location | ) |

Search for all occurrences

QUrl userStyleSheetUrl | ( |  | ) | const

Search for all occurrences

void setDefaultTextEncoding | ( | const QString & | encoding | ) |

Search for all occurrences

QString defaultTextEncoding | ( |  | ) | const

Search for all occurrences

static void setIconDatabasePath | ( | const QString & | location | ) | `[static]`

Search for all occurrences

static QString iconDatabasePath | ( |  | ) | `[static]`

Search for all occurrences

static void clearIconDatabase | ( |  | ) | `[static]`

Search for all occurrences

static QIcon iconForUrl | ( | const QUrl & | url | ) | `[static]`

Search for all occurrences

static void setWebGraphic | ( | WebGraphic | type,
|  | const QPixmap & | graphic
| ) |  | `[static]`

Search for all occurrences

static QPixmap webGraphic | ( | WebGraphic | type | ) | `[static]`

Search for all occurrences

static void setMaximumPagesInCache | ( | int | pages | ) | `[static]`

Search for all occurrences

static int maximumPagesInCache | ( |  | ) | `[static]`

Search for all occurrences

static void setObjectCacheCapacities | ( | int | cacheMinDeadCapacity,
|  | int | cacheMaxDead,
|  | int | totalCapacity
| ) |  | `[static]`

Search for all occurrences

static void setOfflineStoragePath | ( | const QString & | path | ) | `[static]`

Search for all occurrences

static QString offlineStoragePath | ( |  | ) | `[static]`

Search for all occurrences

static void setOfflineStorageDefaultQuota | ( | qint64 | maximumSize | ) | `[static]`

Search for all occurrences

static qint64 offlineStorageDefaultQuota | ( |  | ) | `[static]`

Search for all occurrences

static void setOfflineWebApplicationCachePath | ( | const QString & | path | ) | `[static]`

Search for all occurrences

static QString offlineWebApplicationCachePath | ( |  | ) | `[static]`

Search for all occurrences

static void setOfflineWebApplicationCacheQuota | ( | qint64 | maximumSize | ) | `[static]`

Search for all occurrences

static qint64 offlineWebApplicationCacheQuota | ( |  | ) | `[static]`

Search for all occurrences

void setLocalStoragePath | ( | const QString & | path | ) |

Search for all occurrences

QString localStoragePath | ( |  | ) | const

Search for all occurrences

static void clearMemoryCaches | ( |  | ) | `[static]`

Search for all occurrences

static void enablePersistentStorage | ( | const QString & | path = `QString()` | ) | `[static]`

Search for all occurrences

QWebSettingsPrivate* handle | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 144 of file qwebsettings.h.

    { return d; }

## Friends And Related Function Documentation

friend class QWebPagePrivate `[friend]`

Search for all occurrences

Definition at line 147 of file qwebsettings.h.

friend class QWebSettingsPrivate `[friend]`

Search for all occurrences

Definition at line 148 of file qwebsettings.h.

The documentation for this class was generated from the following file:

- QtWebKit/qwebsettings.h

QWebSettings QWebSettings QWebSettings QWebSettings QWebSettings QWebSettings QWebSettings QWebSettings QWebSettings QWebSettings
QWebSettings QWebSettings QWebSettings QWebSettings QWebSettings QWebSettings QWebSettings QWebSettings QWebSettings QWebSettings